#include <iostream>

#include "cimg.h"

using namespace cimg_library;

int main(int argc, char* argv[])
{
	CImg<unsigned char> img(500,500,1,3);
	unsigned char black[] = { 0,0,0 };
	unsigned char red[] = { 255,0,0 };
	unsigned char blue[] = { 0,0,255 };
	img.fill(255);
	img.draw_circle(250,250,200,blue,-1.0f);
	img.draw_line(250,50,250,450,black);
	img.draw_line(50,250,450,250,black);
	for (int i=0; i<100; i++)
	{
		int x=500*float(rand())/RAND_MAX;
		int y=500*float(rand())/RAND_MAX;
		img.draw_circle(x,y,3,red);
	}
	img.display("CImg Demo");
	return 0;
}

